# NOTE:
# [DEPRECATED] This repository only exists for BC compatibility with old
# versions of Symfony. Recent versions comes with ICU data.

%define		pearname	Icu
%define		php_min_version 5.3.3
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Icu Component
Name:		php-symfony2-Icu
Version:	1.2.2
Release:	3
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{pearname}/archive/v%{version}/%{pearname}-%{version}.tar.gz
# Source0-md5:	7679e2d3b1235c4cdc343bd2f1213de9
URL:		https://github.com/symfony/Icu
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	libicu >= 4.4
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php-dirs >= 1.6
Requires:	php-symfony2-Intl >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Contains the data of the ICU library in a specific version. Use it
through the API of the Intl component.

%prep
%setup -q -n icu-%{version}

mv Resources/data/*.txt .

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{pearname}
cp -a Icu*.php Resources $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md *.txt
%dir %{php_data_dir}/Symfony/Component/Icu
%{php_data_dir}/Symfony/Component/Icu/IcuCurrencyBundle.php
%{php_data_dir}/Symfony/Component/Icu/IcuData.php
%{php_data_dir}/Symfony/Component/Icu/IcuLanguageBundle.php
%{php_data_dir}/Symfony/Component/Icu/IcuLocaleBundle.php
%{php_data_dir}/Symfony/Component/Icu/IcuRegionBundle.php

%dir %{php_data_dir}/Symfony/Component/Icu/Resources
%dir %{php_data_dir}/Symfony/Component/Icu/Resources/data
%dir %{php_data_dir}/Symfony/Component/Icu/Resources/data/curr
%dir %{php_data_dir}/Symfony/Component/Icu/Resources/data/lang
%dir %{php_data_dir}/Symfony/Component/Icu/Resources/data/locales
%dir %{php_data_dir}/Symfony/Component/Icu/Resources/data/region

# TODO: lang tags
%{php_data_dir}/Symfony/Component/Icu/Resources/data/curr/*.res
%{php_data_dir}/Symfony/Component/Icu/Resources/data/lang/*.res
%{php_data_dir}/Symfony/Component/Icu/Resources/data/locales/*.res
%{php_data_dir}/Symfony/Component/Icu/Resources/data/region/*.res
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Icu.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 560d1bc
- rel 3

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> 0108efd
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> e380dbd
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 81cbf5b
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 9bba876
- use autoload.php for autoload name; rel 2

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 4ef120c
- up to 2.7.5

* Wed Aug 05 2015 Elan Ruusamäe <glen@delfi.ee> dc97cf7
- add deprecation note

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 9746439
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 8e17266
- up to 1.2.2, add autoload.php

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 86af750
- up to 1.2.1

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 9c67ce6
- new, version 1.2.0

